/// <reference types="node" />
export declare class DiskCache {
    readonly basePath: string;
    constructor(basePath: string);
    /**
     * Array of substring lengths, used to split the key into shorter strings.
     * Useful for filesystem caching, since fs performance is better when using
     * a nested tree of directories rather than a single directory containing
     * all cache entries. (See also: how git splits up the contents of `.git/objects`)
     *
     * For the default: [40, 2], the cache path will be a directory with the first 40 characters,
     * a directory with the next 2, and then the filename with the remainder.
     */
    splitLengths: Array<number>;
    splitKey(key: string): string[];
    keyToAbsPath(key: string): string;
    get(key: string): Buffer | null;
    set(key: string, value: Buffer | string): void;
}
//# sourceMappingURL=cache.d.ts.map